/* USER CODE BEGIN Header */
/**
  ******************************************************************************
  * @file           main.h
  * @brief          Header for main.c file.
  *                   This file contains the common defines of the application.
  ******************************************************************************
  * @attention
  *
  * <h2><center>&copy; Copyright (c) 2019 STMicroelectronics.
  * All rights reserved.</center></h2>
  *
  * This software component is licensed by ST under Ultimate Liberty license
  * SLA0044, the "License"; You may not use this file except in compliance with
  * the License. You may obtain a copy of the License at:
  *                             www.st.com/SLA0044
  *
  ******************************************************************************
  */
/* USER CODE END Header */

/* Define to prevent recursive inclusion -------------------------------------*/
#ifndef __MAIN_H
#define __MAIN_H

#ifdef __cplusplus
extern "C" {
#endif

/* Includes ------------------------------------------------------------------*/
#include "stm32mp1xx_hal.h"

/* Private includes ----------------------------------------------------------*/
/* USER CODE BEGIN Includes */
#define TXT2_BOARD_REVISION 1
#include "mcommon.h"
/* USER CODE END Includes */

/* Exported types ------------------------------------------------------------*/
/* USER CODE BEGIN ET */

/* USER CODE END ET */

/* Exported constants --------------------------------------------------------*/
/* USER CODE BEGIN EC */
/* USER CODE END EC */

/* Exported macro ------------------------------------------------------------*/
/* USER CODE BEGIN EM */
/* USER CODE END EM */

void HAL_TIM_MspPostInit(TIM_HandleTypeDef *htim);

/* Exported functions prototypes ---------------------------------------------*/
void Error_Handler(void);

/* USER CODE BEGIN EFP */
void systickHandler(void);
void HWPowerDown();
/* USER CODE END EFP */

/* Private defines -----------------------------------------------------------*/
#define MOTOR_NSS_Pin GPIO_PIN_15
#define MOTOR_NSS_GPIO_Port GPIOA
#define COUNTER_1_Pin GPIO_PIN_5
#define COUNTER_1_GPIO_Port GPIOE
#define MOTOR_SCK_Pin GPIO_PIN_0
#define MOTOR_SCK_GPIO_Port GPIOE
#define IOMUX_DI_Pin GPIO_PIN_14
#define IOMUX_DI_GPIO_Port GPIOG
#define SERVO_PWM2_Pin GPIO_PIN_1
#define SERVO_PWM2_GPIO_Port GPIOA
#define SERVO_PWM3_Pin GPIO_PIN_2
#define SERVO_PWM3_GPIO_Port GPIOA
#define COUNTER_2_Pin GPIO_PIN_1
#define COUNTER_2_GPIO_Port GPIOB
#define CAN_Pin GPIO_PIN_11
#define CAN_GPIO_Port GPIOA
#define AIO_IN_Pin GPIO_PIN_4
#define AIO_IN_GPIO_Port GPIOC
#define COUNTER_3_Pin GPIO_PIN_8
#define COUNTER_3_GPIO_Port GPIOB
#define SERVO_PWM1_Pin GPIO_PIN_8
#define SERVO_PWM1_GPIO_Port GPIOG
#define CANA12_Pin GPIO_PIN_12
#define CANA12_GPIO_Port GPIOA
#define MOTOR_MISO_Pin GPIO_PIN_10
#define MOTOR_MISO_GPIO_Port GPIOD
#define COUNTER_4_Pin GPIO_PIN_14
#define COUNTER_4_GPIO_Port GPIOB
#define MOTOR_MOSI_Pin GPIO_PIN_6
#define MOTOR_MOSI_GPIO_Port GPIOD
/* USER CODE BEGIN Private defines */
#define AUDIO_NRESET_Pin GPIO_PIN_12
#define AUDIO_NRESET_GPIO_Port GPIOE
#define CAN_STANDBY_Pin GPIO_PIN_4
#define CAN_STANDBY_GPIO_Port GPIOE
#define DISP_NRST_Pin GPIO_PIN_5
#define DISP_NRST_GPIO_Port GPIOE
#define ENC2_B_Pin GPIO_PIN_10
#define ENC2_B_GPIO_Port GPIOA
#define TOUCH_WAKE_Pin GPIO_PIN_8
#define TOUCH_WAKE_GPIO_Port GPIOA
#define ENC2_A_Pin GPIO_PIN_9
#define ENC2_A_GPIO_Port GPIOA
#define IOMUX_EN_Pin GPIO_PIN_12
#define IOMUX_EN_GPIO_Port GPIOG
#define AUDIO_GPIN_Pin GPIO_PIN_11
#define AUDIO_GPIN_GPIO_Port GPIOE
#define MOTOR_NFAULT_Pin GPIO_PIN_15
#define MOTOR_NFAULT_GPIO_Port GPIOE
#define PWR_BUCK_ALERT_Pin GPIO_PIN_13
#define PWR_BUCK_ALERT_GPIO_Port GPIOE
#define TEST_TP1_Pin GPIO_PIN_13
#define TEST_TP1_GPIO_Port GPIOC
#define LED_GREEN_Pin GPIO_PIN_14
#define LED_GREEN_GPIO_Port GPIOA
#define LED_RED_Pin GPIO_PIN_13
#define LED_RED_GPIO_Port GPIOA
#define PWR_BUCK_EN_Pin GPIO_PIN_3
#define PWR_BUCK_EN_GPIO_Port GPIOA
#define PWR_HOLD_Pin GPIO_PIN_3
#define PWR_HOLD_GPIO_Port GPIOC
#define AIO_PRESCALE_Pin GPIO_PIN_13
#define AIO_PRESCALE_GPIO_Port GPIOG
#define ENC1_B_Pin GPIO_PIN_1
#define ENC1_B_GPIO_Port GPIOB
#define ENC1_A_Pin GPIO_PIN_0
#define ENC1_A_GPIO_Port GPIOB
#define IOMUX_C_Pin GPIO_PIN_10
#define IOMUX_C_GPIO_Port GPIOG
#define DISP_CS_Pin GPIO_PIN_8
#define DISP_CS_GPIO_Port GPIOE
#define DISP_LPTE_Pin GPIO_PIN_5
#define DISP_LPTE_GPIO_Port GPIOC
#define DISP_MESH_Pin GPIO_PIN_7
#define DISP_MESH_GPIO_Port GPIOE
#define IOMUX_DO_Pin GPIO_PIN_7
#define IOMUX_DO_GPIO_Port GPIOG
#define CAN_TERM_Pin GPIO_PIN_10
#define CAN_TERM_GPIO_Port GPIOE
#define LED_BLUE_Pin GPIO_PIN_7
#define LED_BLUE_GPIO_Port GPIOA
#define DISP_A0_Pin GPIO_PIN_6
#define DISP_A0_GPIO_Port GPIOA
#define IOMUX_B_Pin GPIO_PIN_9
#define IOMUX_B_GPIO_Port GPIOG
#define PWR_DC_Pin GPIO_PIN_1
#define PWR_DC_GPIO_Port GPIOE
#define MOTOR_NSLEEP_Pin GPIO_PIN_14
#define MOTOR_NSLEEP_GPIO_Port GPIOE
#define RESET_OUT_Pin GPIO_PIN_15
#define RESET_OUT_GPIO_Port GPIOD
#define IOMUX_A_Pin GPIO_PIN_14
#define IOMUX_A_GPIO_Port GPIOD
#define USB_OC_Pin GPIO_PIN_4
#define USB_OC_GPIO_Port GPIOA
#define BUTTON_IN_Pin GPIO_PIN_13
#define BUTTON_IN_GPIO_Port GPIOB
#define TOUCH_INT_Pin GPIO_PIN_9
#define TOUCH_INT_GPIO_Port GPIOE
#define SERVO_EN_Pin GPIO_PIN_0
#define SERVO_EN_GPIO_Port GPIOC
#define SERVO_OC_Pin GPIO_PIN_0
#define SERVO_OC_GPIO_Port GPIOA
/* USER CODE END Private defines */

#ifdef __cplusplus
}
#endif

#endif /* __MAIN_H */

/************************ (C) COPYRIGHT STMicroelectronics *****END OF FILE****/
